: Class BuildProgramMenu

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui
Class BuildProgramMenu

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.BuildProgramMenu

public class BuildProgramMenu
extends java.lang.Object

BuildProgramMenu class construct the program menus.

Version:
  1.0
Author:
  T. J. Carver

Field Summary
`(package private) java.awt.Cursor` | `cbusy`
`(package private) java.awt.Cursor` | `cdone`

Constructor Summary
`BuildProgramMenu(javax.swing.JPanel p1, javax.swing.JPanel p2, javax.swing.JPanel pform, javax.swing.JScrollPane scrollProgForm, java.lang.String embossBin, java.lang.String[] envp, uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, boolean withSoap, java.lang.String cwd, java.lang.String acdDirToParse, javax.swing.JFrame frame, AuthPopup splashing)`

Method Summary
`protected static java.lang.String[]` | `getDatabaseList()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cbusy

    final java.awt.Cursor cbusy

### cdone

    final java.awt.Cursor cdone

Constructor Detail

### BuildProgramMenu

    public BuildProgramMenu(javax.swing.JPanel p1,
                            javax.swing.JPanel p2,
                            javax.swing.JPanel pform,
                            javax.swing.JScrollPane scrollProgForm,
                            java.lang.String embossBin,
                            java.lang.String[] envp,
                            uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                            boolean withSoap,
                            java.lang.String cwd,
                            java.lang.String acdDirToParse,
                            javax.swing.JFrame frame,
                            AuthPopup splashing)

  Parameters:
    `JPanel` - p1 is the menu pane
    `JPanel` - p2 is the form pane
    `JScrollPane` - EMBOSS form scroll pane
    `String` - location of the EMBOSS binaries
    `String` - array of environment variables for EMBOSS applications.
    `EmbreoParams` - SOAP parameter settings
    `boolean` - true if using SOAP server
    `String` - current working directory (local)
    `String` - location of the ACD directory
    `JFrame` - Jemboss frame
    `AuthPopup` - splash frame

Method Detail

### getDatabaseList

    protected static java.lang.String[] getDatabaseList()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD